/*
    reversi - play a game of reversi against the computer or a human
    Copyright (C) 1992  Elias Martenson

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact me by email at elias@omicron.se
*/

#include <stdio.h>
#include "reversi.h"

char *getenv( char * );

extern int *game_board;
extern int *old_gameboard;
extern int p1, p2, old_pointer;
extern int game_l[2];

/*
 * Init game board
 *
 */

init_board( w_b )
int w_b;
{
  int x, y, xc, yc;
  
  for( x = 0 ; x < 8 ; x++ ){
    for( y = 0 ; y < 8 ; y++ ){
      get_board( game_board, x, y ) = 0;
    }
  }

  if( w_b == 0 ){
    get_board( game_board, 3, 3 ) = 1;
    get_board( game_board, 4, 3 ) = 2;
    get_board( game_board, 3, 4 ) = 2;
    get_board( game_board, 4, 4 ) = 1;
  }
  else{
    get_board( game_board, 3, 3 ) = 2;
    get_board( game_board, 4, 3 ) = 1;
    get_board( game_board, 3, 4 ) = 1;
    get_board( game_board, 4, 4 ) = 2;
  }
}

usage()
{
  fprintf( stderr, "Usage: reversi [-r]\n" );
  exit( 1 );
}

save_game( player )
int player;
{
  FILE *fp;
  char home_path[80];
  int c;
  int x, y;
  int t;

  strcpy( home_path, getenv( "HOME" ) );
  strcat( home_path, "/.reversi_save" );
  
  if( (fp = fopen( home_path, "w" )) == NULL ){
/*    mvaddstr( 8, 52, "Could not open save file" );
    refresh();*/
    return;
  }

  fwrite( &player, sizeof( int ), 1, fp );
  fwrite( &p1, sizeof( int ), 1, fp );
  fwrite( &p2, sizeof( int ), 1, fp );
  fwrite( &(game_l[0]), sizeof( int ), 1, fp );
  fwrite( &(game_l[1]), sizeof( int ), 1, fp );

  for( c = 0 ; c < old_pointer ; c += 64 ){
    for( x = 0 ; x < 8 ; x++ ){
      for( y = 0 ; y < 8 ; y++ ){
	t = get_board( old_gameboard + c, x, y );
	fwrite( &t, sizeof( int ), 1, fp );
      }
    }
  }
  fclose( fp );
}
